# $Revision: 1.97 $, $Date: 2010/11/05 07:58:52 $
# TODO
# - subpackage for cgi?
# - move icons out of /home/services
# - think and fix the trigger.
#
# Conditional build:
%bcond_with	db3	# build with db3 instead of db 4.x
#
%define		ver		2.01
%define		patchlvl	10
Summary:	The Webalizer - A web server log file analysis thingie
Summary(es.UTF-8):	Software para análisis de archivos de log de servidores WWW
Summary(pl.UTF-8):	Webalizer - analizator logów serwera WWW
Summary(pt_BR.UTF-8):	Um software para análise de arquivos de log de servidores WWW
Summary(ru.UTF-8):	Программа анализа log-файла web/ftp/proxy-сервера
Summary(uk.UTF-8):	Програма аналізу log-файлу web/ftp/proxy-сервера
Name:		webalizer
Version:	%{ver}_%{patchlvl}
Release:	21
License:	GPL v2
Group:		Networking/Utilities
Source0:	ftp://ftp.mrunix.net/pub/webalizer/%{name}-%{ver}-%{patchlvl}-src.tar.bz2
# Source0-md5:	26d0a3c142423678daed2d6f579525d8
Source1:	http://linux.gda.pl/pub/webalizer/%{name}_lang.polish
# Source1-md5:	510bc595699373c4d7a8093a5ea10df3
Source2:	%{name}.sysconfig
Source3:	%{name}.cron
Source4:	%{name}.crontab
Patch0:		%{name}-debian-23.patch
Patch1:		%{name}-nolibnsl.patch
Patch2:		%{name}-conf.patch
Patch3:		%{name}-debian_gcc2_fix.patch
Patch4:		%{name}-largefile.patch
Patch5:		%{name}-forwardcompat.patch
URL:		http://www.mrunix.net/webalizer/
BuildRequires:	autoconf
%{!?with_db3:BuildRequires:	db-devel}
%{?with_db3:BuildRequires:	db3-devel}
BuildRequires:	gd-devel >= 2.0.1
BuildRequires:	gettext-devel
BuildRequires:	libpng-devel >= 1.0.8
BuildRequires:	zlib-devel
Requires:	%{name}-base = %{version}-%{release}
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_webdir		/home/services/httpd

%description
The Webalizer is a web server log file analysis program which produces
usage statistics in HTML format for viewing with a browser. The
results are presented in both columnar and graphical format, which
facilitates interpretation. Yearly, monthly, daily and hourly usage
statistics are presented, along with the ability to display usage by
site, URL, referrer, user agent (browser) and country (user agent and
referrer are only available if your web server produces combined log
format files).

%description -l es.UTF-8
Software para análisis de archivos de log de servidores WWW.

%description -l pl.UTF-8
Webalizer to program analizujący logi serwera WWW i tworzący strony w
formacie HTML zawierające statystyki użycia tegoż serwera WWW. Wyniki
są prezentowane jednocześnie w formacie kolumnowym i graficznym, co
ułatwia interpretację. Program prezentuje statystyki roczne,
miesięczne, dzienne i godzinowe, ma też możliwość wyświetlania
statystyk w zależności od serwisu, URL-a, strony z której było
odwołanie (czyli nagłówka Referer), przeglądarki i kraju (przy czym
statystyki w zależności od przeglądarki i nagłówka Referer są dostępne
tylko jeśli serwer loguje informacje o odwiedzinach w formacie
"combined").

%description -l pt_BR.UTF-8
Um analisador de arquivos de log de servidores WWW.

%description -l ru.UTF-8
Webalizer - это программа анализа логов web-сервера, выдающая
статистику в HTML формате, для просмотра броузером. Результаты
представляются как в табличном, так и в графическом формате, что
упрощает интерпретацию. Выдается статистика за год, месяц, день и
почасовая, есть возможность показа статистики по адресу клиента, URL,
ссылкам, браузеру и стране (браузер и ccылки доступны только, если
сервер выдает логи в комбинированном формате).

%description -l uk.UTF-8
Webalizer - це програма аналізу логів web-сервера, що видає статистику
в HTML форматі, для перегляду броузером. Результати подаються як в
табличному, так і в графічному форматі, що полегшує інтерпретацію.
Видається статистика за рік, місяць, день та погодинна, є можливість
показу статистики по адресі клієнта, URL, посиланням, броузеру та
країні (броузер та посилання доступні лише якщо сервер пише логи в
комбінованому форматі).

%package base
Summary:	Webalizer programs and manuals
Summary(pl.UTF-8):	Webalizer i dokumentacja do niego
Group:		Networking/Utilities

%description base
Webalizer programs and manual pages.

%description base -l pl.UTF-8
Webalizer i dokumentacja do niego.

%prep
%setup -q -n %{name}-%{ver}-%{patchlvl}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

mv -f po/{no,nb}.po
mv -f po/{sr,sr@latin}.po
mv -f po/{zh,zh_TW}.po

install %{SOURCE1} lang

%build
# don't call aclocal, aclocal.m4 contains only one _local_ macro
%{__autoconf}
CFLAGS="%{rpmcflags} -fsigned-char"
%configure \
	--with-gd=%{_libdir} \
	--with-db \
	--with-dblib \
	--enable-dns
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_sbindir},%{_mandir}/man1} \
	$RPM_BUILD_ROOT{%{_webdir}/icons,%{_sysconfdir}/{sysconfig,cron.d,%{name}}}

install sample.conf $RPM_BUILD_ROOT%{_sysconfdir}/webalizer.conf
install webalizer $RPM_BUILD_ROOT%{_bindir}
install webalizer.1 $RPM_BUILD_ROOT%{_mandir}/man1
echo '.so webalizer.1' > $RPM_BUILD_ROOT%{_mandir}/man1/webazolver.1
install msfree.png $RPM_BUILD_ROOT%{_webdir}/icons
install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/webalizer
install %{SOURCE3} $RPM_BUILD_ROOT%{_sbindir}/webalizer.cron
install %{SOURCE4} $RPM_BUILD_ROOT%{_sysconfdir}/cron.d/webalizer
ln -s webalizer $RPM_BUILD_ROOT%{_bindir}/webazolver

for mo in po/*.mo; do
	file=${mo#po/*}
	lang=${file%*.mo}
	install -D $mo $RPM_BUILD_ROOT%{_datadir}/locale/$lang/LC_MESSAGES/webalizer.mo
done

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%triggerpostun -- webalizer < 2.01_10-14
echo "Upgrading from webalizer < 2.01_10-14"
chgrp stats %{_sysconfdir}/webalizer/*
chmod g+r %{_sysconfdir}/webalizer/*
for dir in `grep ^OutputDir %{_sysconfdir}/webalizer/*.conf | awk '{ print $2; };'`; do
	if [ -d $dir ]; then
		chown -R stats $dir
	else
		echo "Directory $dir does not exists"
	fi
done

%files -f %{name}.lang
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/cron.d/webalizer
%attr(2755,root,stats) %dir %{_sysconfdir}/%{name}
%attr(755,root,root) %{_sbindir}/webalizer.cron
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/webalizer

%files base
%defattr(644,root,root,755)
%doc CHANGES *README* country-codes.txt
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/webalizer.conf
%attr(755,root,root) %{_bindir}/webalizer
%attr(755,root,root) %{_bindir}/webazolver
%{_mandir}/man1/*
%{_webdir}/icons/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: webalizer.spec,v $
Revision 1.97  2010/11/05 07:58:52  arekm
- rel 21; allow this webalizer to read new webalizer history data and don't overflow (magic header for webalizer.hist needs to be changed manually)

Revision 1.96  2010/09/08 13:22:45  lisu
- reversed

Revision 1.93  2008/06/14 10:35:09  arekm
- rel .20

Revision 1.92  2007-11-10 11:56:47  megabajt
- sr@Latn -> sr@latin; release 19

Revision 1.91  2007/10/13 23:54:47  qboosh
- release 18 not patchlevel 11

Revision 1.90  2007/10/13 23:41:46  dzeus
- rel. 11

Revision 1.89  2007/02/12 22:09:20  glen
- tabs in preamble

Revision 1.88  2007/02/12 01:06:36  baggins
- converted to UTF-8

Revision 1.87  2006/12/06 20:57:38  glen
- rel 17 (debate in devel-en ended)

Revision 1.86  2006/10/31 13:43:13  qboosh
- todo: move icons out of /home/services

Revision 1.85  2006/10/25 21:52:20  glen
- -base instead of -cron as suggested by blues (not that i like it this way)

Revision 1.84  2006/10/17 07:30:54  qboosh
- pl for -cron, -cron R: main

Revision 1.83  2006/10/16 21:24:02  glen
- simplify

Revision 1.82  2006/10/16 19:30:36  glen
- separated cron into -cron subpackage

Revision 1.81  2006/09/30 11:36:06  arekm
- support for large files

Revision 1.80  2006/06/27 10:51:35  blues
- simplify

Revision 1.79  2006/01/21 00:01:17  arekm
- kill Icon: field (support for these is obsolete says jbj)

Revision 1.78  2005/09/27 15:54:11  glen
- add webazolver program and manual

Revision 1.77  2005/09/27 15:03:50  glen
- moved cron script to sbin

Revision 1.76  2005/09/09 13:28:34  blues
- release 15 - STBR to make it working with new vixie-cron

Revision 1.75  2005/07/30 12:34:55  glen
- adapterized

Revision 1.74  2005/07/30 10:01:33  arekm
- fix cron perm

Revision 1.73  2005/04/15 18:23:14  blues
- release 14 - added trigger to upgrade from root-working version...

Revision 1.72  2005/03/23 15:23:52  blues
- rel. 13.1 - first attempt to run not-as-root

Revision 1.71  2005/01/23 00:20:13  ankry
- cron file fixes

Revision 1.70  2004/10/24 21:38:06  paladine
- spelling fix, uppercases, etc.

Revision 1.69  2004/09/27 16:05:34  blues
- release 12

Revision 1.68  2004/07/20 13:57:40  qboosh
- locale names fixes, BR s/libpng/libpng-devel/, release 11

Revision 1.67  2004/06/29 20:54:22  tommat
- adapterized, STBR

Revision 1.66  2004/06/29 19:29:29  tommat
- added sysconfig with lang settings and simple cron script

Revision 1.65  2004/04/17 16:34:18  adamg
- release 9

Revision 1.64  2004/04/17 16:30:13  adamg
- pass %{_libdir}

Revision 1.63  2004/04/17 11:15:33  twittner
- removed -ac_lib64_hack.patch for amd64 - doesn't work

Revision 1.62  2004/04/17 11:06:17  twittner
- added -ac_lib64_hack.patch - fix for amd64

Revision 1.61  2004/04/14 13:12:13  blues
- release 8

Revision 1.60  2004/04/14 12:55:57  blues
- added debian_gcc2_fix patch to let it build on gcc2 too.

Revision 1.59  2004/04/14 11:33:47  twittner
- bcond fixed

Revision 1.58  2004/04/13 19:32:04  blues
- a bit better default configuration

Revision 1.57  2004/03/25 21:02:50  blues
- updated polish translation

Revision 1.56  2004/02/13 00:20:35  arekm
- ups

Revision 1.55  2004/02/13 00:10:08  arekm
- fixed ipv6 resolver and gettext support; rel 5

Revision 1.54  2003/12/16 18:50:09  qboosh
- don't call aclocal (fixes build)

Revision 1.53  2003/12/03 14:20:04  ankry
- workaround for broken bcond/rpm

Revision 1.52  2003/12/02 16:25:33  mmazur
- rel 4 to rebuild with new db

Revision 1.51  2003/11/23 02:51:26  undefine
- release 3 to rebuild with ac

Revision 1.50  2003/10/08 13:53:46  qboosh
- fixed _with_db3 bcond, bconds description

Revision 1.49  2003/09/18 09:52:41  misi3k
- added bcond lang_pl

Revision 1.48  2003/09/15 12:29:50  adamg
- Source0-md5 added

Revision 1.47  2003/05/25 06:27:50  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.46  2003/02/12 17:12:18  qboosh
- use just "PLD Linux" in README.IPv6 (in ipv6 patch)
- added nolibnsl patch
- use db 4.x by default, bcond for db3

Revision 1.45  2003/02/12 14:55:35  areq
-  BuildRequires:        db-devel

Revision 1.44  2002/12/06 21:34:14  orzech
- /home/httpd -> /home/services/httpd

Revision 1.43  2002/12/02 11:06:28  ankry
- massive cleaning

Revision 1.42  2002/10/09 13:14:50  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.41  2002/08/09 20:15:30  blues
- added dir to put there own configs f.e. vituals

Revision 1.40  2002/08/09 19:43:39  blues
- Release 2: new doc, few cosmetic fixes; STBR

Revision 1.39  2002/05/21 23:14:54  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
     s/^autoconf/\%\{__autoconf\}/"

Revision 1.38  2002/05/05 17:40:36  kloczek
- merge translations from KSI and Conectiva.

Revision 1.37  2002/05/05 16:47:31  qboosh
- updated to 2.01-10 (contains better fix for security hole)
- updated ipv6 patch, removed obsolete security patch
- longer pl description

Revision 1.36  2002/04/17 08:28:05  qboosh
- SECURITY fix (possible buffer overflow)
- release 2, STBR

Revision 1.35  2002/02/23 05:04:58  kloczek
- adapterized.

Revision 1.34  2002/02/22 23:29:58  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.33  2002/01/18 02:15:19  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.32  2001/11/03 20:23:47  areq
- 2.01_09, STBR

Revision 1.31  2001/10/30 03:44:43  kloczek
- release 5: spec adapterized.

Revision 1.30  2001/10/11 10:19:22  qboosh
- BuildRequires: automake

Revision 1.29  2001/09/04 09:53:17  marcus
- added IPv6 support in dns resolving (patch by Arkadiusz Miskiewicz <misiek@pld.ORG.PL>)
- release 4, STBR

Revision 1.28  2001/07/13 16:37:24  wiget
- release 3; gd2 ready

Revision 1.27  2001/04/13 20:40:03  qboosh
- moved /home/httpd/html/usage/* to /home/httpd/icons
- use %rpmcflags
- release 2

Revision 1.26  2001/01/25 20:03:52  misiek
- Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.25  2000/12/28 01:04:10  kloczek
- use new rpm automation.

Revision 1.24  2000/12/24 20:40:52  marcus
- new version 2.01 patchlevel 06
- removed obsolete gd patch
- build against db3 (changed BuildRequires from db2-devel to db3-devel)
- release 1

Revision 1.23  2000/08/31 05:33:13  kloczek
- release 3,
- rebuild against gd >= 1.8.3,
- added db2-devel to BuildRequires,
- fiew cosmetics.

Revision 1.22  2000/07/29 16:56:52  kloczek
- spec adapterized.

Revision 1.21  2000/07/28 13:59:02  zagrodzki
- release 2, built against libpng >= 1.0.8

Revision 1.20  2000/06/09 07:24:01  kloczek
- added using %{__make} macro.

Revision 1.19  2000/06/07 10:08:16  kloczek
- spec adapterized.

Revision 1.18  2000/06/06 19:57:27  bonkey
- patchlevel 12

Revision 1.17  2000/04/10 08:51:17  wiget
- 2.00-11

Revision 1.16  2000/04/01 11:15:56  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.15  2000/03/28 16:55:08  baggins
- translated kloczkish into english

Revision 1.14  2000/03/23 13:05:46  wiget
- 2.00-07

Revision 1.13  2000/03/08 10:19:02  wiget
- patchlevel 04

Revision 1.12  2000/03/06 10:37:13  wiget
- 2.00-03

Revision 1.11  2000/02/18 23:12:19  kloczek
- spec adapterized and cosmetics changes.

Revision 1.10  2000/02/18 12:43:32  wiget
- update to 1.31-06

Revision 1.9  1999/08/02 12:41:09  misiek
- update for gd 1.6.2

Revision 1.8  1999/07/20 12:48:11  wiget
- switch to rpm 3.0.2

Revision 1.7  1999/07/15 18:27:07  kloczek
- updated to 1.30-04.

Revision 1.6  1999/07/15 15:20:25  pius
- fixed Group(pl),
- simplifications in %install,
- cosmetic changes.

Revision 1.5  1999/07/12 23:06:17  kloczek
- added using CVS keywords in %changelog (for automating them).
